Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.parser.v2
Class XSLTContext

`java.lang.Object
oracle.xml.parser.v2.XSLTContext`

      public class XSLTContext

extends java.lang.Object

Class for Xpath processing Context

Method Summary
`XMLNode` `getContextNode()` Get the current context node
`int` `getContextPosition()` Get the current context node position
`int` `getContextSize()` Get the current context size
`XMLError` `getError()` Get the XMLError instance for reporting errors
`void` `reportCharacters(java.lang.String data, boolean disableoutesc)` Report characters to the current output handler
`void` `reportNode(XMLNode node)` Report a XMLNode to the current output handler
`void` `setError(XMLError err)` Set the XMLError

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getContextNode

    public XMLNode getContextNode()
                           throws XSLException

  Get the current context node
  Returns:
    XMLNode - current context node
  Throws:
    `XSLException`

### getContextSize

    public int getContextSize()
                       throws XSLException

  Get the current context size
  Returns:
    int - current context size
  Throws:
    `XSLException`

### getContextPosition

    public int getContextPosition()
                           throws XSLException

  Get the current context node position
  Returns:
    int - current context node position
  Throws:
    `XSLException`

### reportCharacters

    public void reportCharacters(java.lang.String data,
                                 boolean disableoutesc)
                          throws XSLException

  Report characters to the current output handler
  Parameters:
    `chars` - - String to be printed
    `disableoutesc` - - boolean to disable output escaping
  Throws:
    `XSLException`

### reportNode

    public void reportNode(XMLNode node)
                    throws XSLException

  Report a XMLNode to the current output handler
  Parameters:
    `node` - - node to be outptu
  Throws:
    `XSLException`

### getError

    public XMLError getError()

  Get the XMLError instance for reporting errors
  Returns:
    XMLError

### setError

    public void setError(XMLError err)

  Set the XMLError
  Parameters:
    `err` - - instance of XMLError

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.